%define with_dbus 0

Name:           gossip
Version:        0.8
Release:        3
Summary:        Gnome Jabber Client

Group:          Applications/Communications
License:        GPL
URL:          	http://www.imendio.com/projects/gossip/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	loudmouth-devel
BuildRequires:	GConf2-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libxml2-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext

%if %{with_dbus}
BuildRequires:	dbus-devel
%endif

Requires(post):	GConf2
Requires(preun): GConf2 

%description
Gossip aims at making Jabber easy to use and tries to give GNOME users a
real user friendly way of chatting with their friends.


%prep
%setup -q


%build
%configure \
%if %{with_dbus}
	--enable-dbus=yes
%else
	--enable-dbus=no
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%preun
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.wav
%{_datadir}/%{name}/%{name}-log.xsl
%dir %{_datadir}/%{name}/protocols
%{_datadir}/%{name}/protocols/*


%changelog
* Fri May  6 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-3
- Add ownership for unclaimed directories.
- Disable dbus support due to api changes, and since it is experimental in Gossip anyway.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-2
- Actually package the protocols.

* Sun May  1 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-1
- Initial Fedora build.

